package com.jiayue.passback.service;

import cn.hutool.json.JSONObject;

/**
 * 预测数据业务接口
 *
 * @author yh
 * @version 1.0
 * @since 2022/5/22 11:29
 */
public interface InApiService {

    /**
     * 获取token
     * @param userInfo
     * @return
     */
    JSONObject getToken(JSONObject userInfo);

    /**
     * 获取短期原始json数据
     * @param requestJson
     * @return
     */
    JSONObject getShortWpfData(JSONObject requestJson);

    /**
     * 获取短期修正数据json
     * @param requestJson
     * @return
     */
    JSONObject putShortWpfData(JSONObject requestJson);

    /**
     * 获取超短期原始json数据
     * @param requestJson
     * @return
     */
    JSONObject getSShortWpfData(JSONObject requestJson);

    /**
     * 获取短期修正数据json
     * @param requestJson
     * @return
     */
    JSONObject putSShortWpfData(JSONObject requestJson);

    /**
     * 获取预测文件上次上报调度的状态
     * @param requestJson
     * @return
     */
    JSONObject getUploadState(JSONObject requestJson);
}
